package com.adealink.weparty.commonui.recycleview.commonviewholder

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData

/**
 * Created by XiaoDongLin.
 * Date: 2025/4/11
 */
enum class CommonListErrorEmptyType {
    NoData, //列表没有数据
    NetError //网络错误
}

data class CommonListEmptyItemData(val emptyType: CommonListErrorEmptyType) : BaseListItemData {

    override fun areItemsTheSame(newItem: Any): Boolean {
        val newData = newItem as? CommonListEmptyItemData ?: return false
        return this.emptyType == newData.emptyType
    }

    override fun areContentsTheSame(newItem: Any): Boolean {
        return this == newItem
    }

}

